
QGIS Application - Bug report #9438

WMS CRS listed multiple times

2014-01-27 05:34 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18032

Description

Using WMS:

1) Connect to : http://maps.warwickshire.gov.uk/gs/ows

2) Add item 15 (z_OS_Raster_basemap)

3) QGIS might hang for while - be patient

4) Go into layer properties -> Metadata. QGIS hangs again, be patient.

5) Scroll down to "Selected Layers".

You'll see it reporting this:

Available in CRS

EPSG:27700

Available in CRS

EPSG:4326

Available in CRS

CRS:84

Available in CRS

EPSG:27700

Note that 27700 is in there twice. Further down there are some with:

Available in CRS

EPSG:27700

Available in CRS

EPSG:4326

Available in CRS

CRS:84

Available in CRS

EPSG:27700

Available in CRS

CRS:84

This seems to be because the CRS is listed twice in the Getcapabilities. First there's a list of CRSs that are supported by the server as a

whole:

<!--Limited list of EPSG projections:-->
http://maps.warwickshire.gov.uk/gs/ows


<CRS>

EPSG:27700

</CRS>

<CRS>

EPSG:4326

</CRS>

<CRS>

CRS:84

</CRS>

Then later, for each layer in the GetCapabilities there's a list of CRSs that are supported by that layer, which invariably includes the same

CRS again.

Strictly speaking I believe only the "layer" CRSs should be shown/used.

Master 5192e8d

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
